#32/64
Name:           peg-solitaire
Version:        2.0
Release:        %mkrel 1
Summary:        Board game played with pegs
License:        GPLv3+
Packager:   	Agent Smith  <ruidobranco@yahoo.com.br>
URL:            http://sourceforge.net/projects/%{name}/
Source0:        %{name}/%{name}-%{version}.tar.xz
Source1:        %{name}.appdata.xml


BuildRequires:  %{_lib}qt4-devel
BuildRequires:  desktop-file-utils

BuildRequires:  %{_lib}appstream-glib1
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Peg solitaire is a board game for one player involving movement of pegs on
a board with holes. The program includes over 330 solitaire problems.
The program looks for new solutions and it is possible to raise new problems.

%prep
%setup -q


%build
%{qmake_qt4} PREFIX=%{buildroot}/%{_prefix} %{name}.pro
make %{?_smp_mflags}


%install
%make_install

# install and validate the appdata file
mkdir -p %{buildroot}%{_datadir}/appdata/
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name}.sh << EOF
#!/bin/sh
cd /usr/games/
./%{name}
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}.sh

# icons

install -p -D -m 644 images/%{name}.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%find_lang solitari  --without-mo

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml ||:
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f solitari.lang
%doc changelog copying.txt
 
%_bindir/%{name}.sh
/usr/games/peg-solitaire
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/games/%{name}/
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man6/%{name}.6.*

%changelog
* Thu Nov 30 2017 Agent Smith <ruidobranco@yahoo.com.br>  - 2.0-1pclos2017
- Created the package peg-solitaire.
